<?php

function smarty_function_item_search( $param, &$smarty )
{
	require_once ( SHOP_ROOT_DIR . '/inc/get_api.php' ) ;
	require_once ( SHOP_ROOT_DIR . '/inc/commonfunction.php' ) ;
	global $search_parameter ;

	$array = $vars = $replacements = array() ;
	$result = false ;
	$requests_int   = array( 'article_id' ) ;
	$requests_text  = array( 'word' , 'tag' , 'category' , 'sortorder' , 'limit' ) ;
	$check_key      = array( 'word' , 'tag' , 'category' ) ;
	$parameter      = array_keys( $search_parameter ) ;
	$parameter_text = array( 'has_shop_price' , 'field' , 'jan_code' , 'start_date_from' , 'start_date_to' ) ;

	foreach( $requests_int as $key ) {
		$$key = ( ! empty( $param[ $key ] ) ) ? intval( @$param[ $key ] ) : 0 ;
	}
	if ( empty ( $article_id ) ) {
		$cache = 1 ;
		foreach( $check_key as $key ) {
			if ( ! empty ( $param[ $key ] ) ) $result = true ;
		}

		if ( empty ( $result ) )  {
			if ( SEARCH_CATEGORY !== '' ) $array[ 'category' ] = SEARCH_CATEGORY ;
			else return ;
		}
	
		foreach( $requests_text as $key ) {
			if ( ! empty ( $param[ $key ] ) ) $array[ $key ] = trim( convert_to_utf( @$param[ $key ] ) ) ;
		}

		if ( ! empty ( $param[ 'except_words' ] ) ) $array[ 'except_words' ] = get_except_words( trim( @$param[ 'except_words' ] ) ) ;

		foreach( $parameter as $key ) {
			if ( isset( $param[ $key ] ) ) $replacements[ $key ] = ( in_array( $key, $parameter_text ) ) ? trim( convert_to_utf( @$param[ $key ] ) ) : intval( @$param[ $key ] ) ;
		}
		if( ! function_exists( 'array_replace' ) ) {
			require_once( SHOP_ROOT_DIR .'/class/upgrade.php' ) ;
		}
		$vars = array_replace( $search_parameter, $replacements ) ;

		$array[ 'type' ] = 'search' ;
		$special = ( ! empty( $_GET['special'] ) ) ? intval( $_GET['special'] ) : 0 ;
		if ( ! empty ( $special ) )  {
			$array[ 'start' ] = ( ! empty( $_GET[ 'start' ] ) ) ? intval( @$_GET[ 'start' ] ) : 0 ;
			$cache = ( ! empty( $param[ 'limit' ] ) ) ? 1 : 0 ;
		}
	}

	switch ( ! empty( $article_id ) ) {
		case true :
			$item_data = get_item_xml( $article_id ) ;
			break ;
		case false :
			$data = get_newt_items( $array, $vars , 0 , $cache ) ;
			$item_data = $data[ 'item_data' ] ;
			$found = $data[ 'found' ] ;
			break ;
	}

	if ( ! empty ( $item_data ) ) {
		global $Template ;
		$var       = ( ! empty ( $param[ 'var' ] ) ) ? trim( @$param[ 'var' ] ) : 'items' ;
		$var_found = ( ! empty ( $special ) ) ? 'found' : $var . '_found' ;
		$Template->assign( array(
			$var       => $item_data ,
			$var_found => ( ! empty( $found ) ) ? toShow( $found ) : number_format( count( $item_data ) ) ,
		) ) ;
		if ( ! empty ( $data[ 'pagenav' ] ) && empty ( $cache ) ) $Template->assign( 'navi' , $data[ 'pagenav' ] ) ;
	}
}

?>